OpenapiO11y
Returns the distinct values a given label key has taken across a rule's history…
Returns the distinct values a given label key has taken across a rule's history entries.
GET /v1/o11y/rules/{id}/history/filter_values
| Address | https://api.hanzo.ai/v1/o11y/rules/{id}/history/filter_values |
| Method | GET |
| Operation | GetRuleHistoryFilterValues |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Returns the distinct values a given label key has taken across a rule's history entries. Viewer gate.
Request
7 fields.
| Field | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | |
startUnixMilli | query | integer | — | |
endUnixMilli | query | integer | — | |
searchText | query | string | — | |
limit | query | integer | — | |
name | query | string | yes | Name is the label key whose values to list. |
existingQuery | query | string | — | ExistingQuery is a filter expression scoping which values appear. |
Response
| Status | Body | Meaning |
|---|---|---|
200 | o11y.O11yRuleHistoryFilterValuesOut | ok |
200 body — 8 fields.
| Field | In | Type | Always | Description |
|---|---|---|---|---|
data | body | o11y.GettableFieldValues | — | |
data.complete | body | boolean | — | |
data.values | body | o11y.TelemetryFieldValues | — | |
data.values.boolValues | body | boolean[] | — | |
data.values.numberValues | body | number[] | — | |
data.values.relatedValues | body | string[] | — | |
data.values.stringValues | body | string[] | — | |
status | body | string | — | Status is "success". |
Failure carries the platform error shape — see Errors.
Examples
hanzo o11y rules history filter_values <id> --name <name>import { Configuration, O11yApi } from 'hanzoai';
const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.getRuleHistoryFilterValues({ id: 'id', name: 'name' });from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi
client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).get_rule_history_filter_values(id='id', name='name')cfg := cloud.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := cloud.NewAPIClient(cfg)
resp, _, err := client.O11yAPI.GetRuleHistoryFilterValues(context.Background()).Execute()
if err != nil {
return err
}use hanzo_cloud::apis::{configuration::Configuration, o11y_api};
let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();
let result = o11y_api::get_rule_history_filter_values(&cfg, Default::default()).await?;import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;
ApiClient client = new ApiClient();
client.setRequestInterceptor(b -> b.header("Authorization", "Bearer " + System.getenv("HANZO_API_KEY")));
var result = new O11yApi(client).getRuleHistoryFilterValues();curl https://api.hanzo.ai/v1/o11y/rules/<id>/history/filter_values?name=%3Cname%3E \
-H "Authorization: Bearer $HANZO_API_KEY"Tool o11y, op GetRuleHistoryFilterValues — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.
curl -X POST https://api.hanzo.ai/v1/mcp \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "o11y",
"arguments": {
"op": "GetRuleHistoryFilterValues",
"input": {
"id": "<id>",
"name": "<name>"
}
}
}
}'How is this guide?